﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Recipe05
{
    [Table("Order")]
    public class Order
    {
        public Order()
        {
            Details = new List<OrderDetail>();
        }

        public int Id { get; set; }

        [MaxLength(128)]
        public string Customer { get; set; }

        public DateTime OrderDate { get; set; }
        public decimal Total { get; set; }
 
        [MaxLength(5)]
        [Column(TypeName = "varchar")]
        public string Status { get; set; }

        public virtual IList<OrderDetail> Details { get; set; }
    }
}
