﻿using System.ComponentModel.DataAnnotations;

namespace Recipe05
{
    [Table("OrderDetail")]
    public class OrderDetail
    {
        public int Id { get; set; }
        public Order Order { get; set; }

        [MaxLength(64)]
        public string Product { get; set; }
        public int Amount { get; set; }
        public decimal UnitPrice { get; set; }
    }
}