﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Recipe05
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var context = new OrderDatabaseContext())
            {
                for (int i = 0; i < 5; i++)
                {
                    var order = new Order
                                    {
                                        Customer = "Customer " + i,
                                        OrderDate = DateTime.Now,
                                        Total = 10*i,
                                        Status = "NEW",
                                    };
                    context.Orders.Add(order);
                    for (int j = 0; j < 3; j++)
                    {
                        var detail = new OrderDetail
                                         {
                                             Amount = 10*j + i,
                                             Product = "Product" + j,
                                             UnitPrice = 10 + j,
                                             Order = order
                                         };
                        context.Details.Add(detail);
                    }
                }
                context.SaveChanges();
            }
        }
    }
}
